Bug 148942

Summary: [CSS Grid Layout] Using {row, column}-axis terms in alignment related logic
Product: WebKit Reporter: Javier Fernandez <jfernandez>
Component: Layout and RenderingAssignee: Javier Fernandez <jfernandez>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, darin, esprehn+autocc, glenn, hyatt, jfernandez, kondapallykalyan, rego, svillar
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 60731    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Javier Fernandez 2015-09-07 13:44:09 PDT
Some of the function defined to implement the alignment logic are not clear enough. In order to improve its coherence, we will use the terms row-axis and column-axis to refer the direction the alignment logic is applied to.
Comment 1 Javier Fernandez 2015-09-07 13:52:13 PDT
Created attachment 260747 [details]
Patch
Comment 2 Sergio Villar Senin 2015-09-08 07:07:38 PDT
Comment on attachment 260747 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=260747&action=review

> Source/WebCore/ChangeLog:3
> +        [CSS Grid Layout] Using [row, column}-axis terms in alignment related logic

Either use ] or } but do not mix them
Comment 3 Javier Fernandez 2015-09-15 06:40:13 PDT
Created attachment 261189 [details]
Patch
Comment 4 Javier Fernandez 2015-09-15 06:51:14 PDT
Created attachment 261191 [details]
Patch
Comment 5 WebKit Commit Bot 2015-09-15 07:48:55 PDT
Comment on attachment 261191 [details]
Patch

Clearing flags on attachment: 261191

Committed r189806: <http://trac.webkit.org/changeset/189806>
Comment 6 WebKit Commit Bot 2015-09-15 07:49:00 PDT
All reviewed patches have been landed.  Closing bug.